<?php

class NoImage {

	function __get($field) {
		switch ($field) {
			case 'path':
				return get_template_directory().'/img/noimage.png';
				
			case 'uri':
				return get_template_directory_uri().'/img/noimage.png';
		}
	}

	function src($width,$height=0,$classes="",$extra='') {
		if (is_string($width)) {
			$args['width'] = get_option($width.'_size_w');
			$args['height'] = get_option($width.'_size_h');
			$args['crop'] = get_option($width.'_crop');
		} else {
			if ($width > 0 && $height > 0) {
				$args['width'] = $width;
				$args['height'] = $height;
				$args['crop'] = true;
			} elseif ($height == 0) {
				$args['width'] = $width;
			} else {
				$args['height'] = $height;
			}
		}
		
		$thumb = new WP_Thumb($this->path,$args);
		
		if (!$thumb->errored()) {
			$src = $thumb->returnImage(); 
		} else {
			$src = $this->uri;
		}

		return '<img src="'.$src.'" class="'.$classes.'" '.$extra.'>';
	}
	
	function url($width,$height=0,$ignoreUndersized=false) {
		return get_template_directory_uri().'/img/noimage.png';
	}



}
?>
