<?php

class TimelineEvent extends PostType {
	
	
	function __toString() {
		return $this->post_title;
	}
	
	function __get($field) {
		global $wpdb;
		
		switch ($field) {
			case 'timelines':
				$terms = wp_get_post_terms($this->ID,'timeline');
				if ($terms) {
					foreach ($terms as $i => $term) {
						$terms[$i] = $term->slug;
					}
				}
				return $terms;
				
			case 'date':
				$date = $this->eventdate;
				if ($date) {
					if (!is_numeric($date)) {
						$date = strtotime($date);
					}
					$fidelity = $this->fidelity;
					switch (strtolower($fidelity)) {
						case 'day':
							$date = '<span class="month">'.date('jS F',$date).'</span> '.date('Y',$date); break;
						case 'month':
							$date = '<span class="month">'.date('F',$date).'</span> '.date('Y',$date); break;
						case 'year':
							$date = date('Y',$date); break;
						case 'decade':
							$date = 10*floor(date('Y',$date)/10).'s'; break;
						default:
							$date = null;
					}
				}
				return $date;
				
			case 'link':
				return $this->getField($field);

			default:
				return parent::__get($field);
		}
		
	}
	
}