<?php
add_action( 'widgets_init', create_function( '', 'register_widget( "ProductLinks_Widget" );' ) );

class ProductLinks_Widget extends WP_Widget {

	public function __construct() {
		$widget_ops = array( 'description' => __( "Shows product link","gulfoil") );
		parent::__construct( 'product_links', __('Product Links',"gulfoil"), $widget_ops );
	}

	public function widget($args, $instance) {
		global $post,$wp_query;

		$instance = wp_parse_args( (array) $instance, $this->defaults() );
		
		if (!isset($post) || $post->post_type != 'gulfproduct') {
			return;
		}
		
		$product = new Product($post);
		$links = $product->getField('product_links');
		if (empty($links)) {
			return;
		}
		
		$title = apply_filters( 'widget_title', $instance['title'] );
		
		echo $args['before_widget'];

		if ($title) {
			?><h4 class="widgettitle"><?php print $title ?></h4><?php
		}
		
		?><ul class="links"><?php
		
		foreach ($links as $link) {
			if ($link['url'] && $link['link_text']) {
				?><li><a href="<?php print $link['url'] ?>" class="button" target="_blank"><?php print __($link['link_text'],'gulfoil') ?></a></li><?php
			}
		}
		?></ul><?php
		echo $args['after_widget'];
	}

	
	public function update( $new_instance, $old_instance ) {
		return $new_instance;
	}

	public function form( $instance ) {
		$defaults 	= $this->defaults();
		$instance 	= wp_parse_args( (array) $instance, $defaults );
		
		?>
<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:', 'jetpack' ); ?>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>"
			type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</label>
</p>			
<p>Will only show on product pages</p>
		<?php
	}
	
	public function defaults() {
		return array(
			'title'		=> 'Links',
		);
	}
	
	
}
